package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[消息类型]
 */
@Component("ionicdemo_MsgTypeCodeList")
public class MsgTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_MsgType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue(1);
		item0.setId("1");
		item0.setText("系统消息");
		item0.setLabel("系统消息");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("1",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue(2);
		item1.setId("2");
		item1.setText("电子邮件");
		item1.setLabel("电子邮件");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("2",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue(4);
		item2.setId("4");
		item2.setText("手机短信");
		item2.setLabel("手机短信");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("4",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue(8);
		item3.setId("8");
		item3.setText("MSN消息");
		item3.setLabel("MSN消息");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("8",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue(16);
		item4.setId("16");
		item4.setText("检务通消息");
		item4.setLabel("检务通消息");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("16",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue(32);
		item5.setId("32");
		item5.setText("微信");
		item5.setLabel("微信");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("32",item5);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}